import { useEffect, useState } from "react";
import PlantDetails from "../components/PlantDetails";
import { Plant } from "../utils/schemas";
import useGrowbrosFetcher from "../utils/useGrowbrosFetcher";
import { IBackendConnector } from "../utils/IBackendConnector";
import PlantsOverview from "../components/PlantsOverview";

function Wunschliste() {
  const [plants, setPlantsInWishlist] = useState<Plant[]>([]);
  const [error, setError] = useState({});

  const bc: IBackendConnector = useGrowbrosFetcher();

  useEffect(() => {
    (async () => {
      const result = await bc.getWishlistEntries();
      if (result.err) {
        setError(result.err);
      } else {
        setPlantsInWishlist(result.value!);
      }
    })();
  }, []);

  return (
    <>
      <PlantsOverview plants={plants} />
    </>
  );
}

export default Wunschliste;
